org.apache.ignite.internal.pagemem.wal.record

## Enum WALRecord.RecordType

- java.lang.Object
- - java.lang.Enum<WALRecord.RecordType>
  - - org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType

All Implemented Interfaces:
  Serializable, Comparable<WALRecord.RecordType>

Enclosing class:
  WALRecord

    public static enum WALRecord.RecordType
    extends Enum<WALRecord.RecordType>

Record type. Ordinal of this record will be written to file.
Note: Do not change order of elements

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BTREE_EXISTING_PAGE_SPLIT`
`BTREE_FIX_COUNT`
`BTREE_FIX_LEFTMOST_CHILD`
`BTREE_FIX_REMOVE_ID`
`BTREE_FORWARD_PAGE_SPLIT`
`BTREE_INIT_NEW_ROOT`
`BTREE_META_PAGE_ADD_ROOT`
`BTREE_META_PAGE_CUT_ROOT`
`BTREE_META_PAGE_INIT_ROOT`
`BTREE_META_PAGE_INIT_ROOT_V3` Init root meta page (with flags and created version)
`BTREE_META_PAGE_INIT_ROOT2` init
`BTREE_PAGE_INNER_REPLACE`
`BTREE_PAGE_INSERT`
`BTREE_PAGE_MERGE`
`BTREE_PAGE_RECYCLE`
`BTREE_PAGE_REMOVE`
`BTREE_PAGE_REPLACE`
`CHECKPOINT_RECORD` Checkpoint (begin) record
`CONSISTENT_CUT` Consistent cut record.
`DATA_PAGE_INSERT_FRAGMENT_RECORD`
`DATA_PAGE_INSERT_RECORD`
`DATA_PAGE_REMOVE_RECORD`
`DATA_PAGE_SET_FREE_LIST_PAGE`
`DATA_PAGE_UPDATE_RECORD`
`DATA_RECORD` Deprecated. Use `DATA_RECORD_V2` instead.
`DATA_RECORD_V2` Data record V2.
`ENCRYPTED_DATA_RECORD` Deprecated. Use `ENCRYPTED_DATA_RECORD_V3` instead.
`ENCRYPTED_DATA_RECORD_V2` Deprecated. Use `ENCRYPTED_DATA_RECORD_V3` instead.
`ENCRYPTED_DATA_RECORD_V3` Ecnrypted data record.
`ENCRYPTED_RECORD` Encrypted WAL-record.
`ENCRYPTED_RECORD_V2` Encrypted WAL-record.
`EXCHANGE` Exchange record.
`HEADER_RECORD` WAL segment header record.
`INDEX_META_PAGE_DELTA_RECORD` Index meta page delta record includes encryption status data.
`INDEX_ROOT_PAGE_RENAME_RECORD` Record for renaming the index root pages.
`INIT_NEW_PAGE_RECORD`
`MASTER_KEY_CHANGE_RECORD` Master key change record.
`MASTER_KEY_CHANGE_RECORD_V2` Master key change record containing multiple keys for single cache group.
`MEMORY_RECOVERY` Memory recovering start marker
`META_PAGE_INIT`
`META_PAGE_UPDATE_LAST_ALLOCATED_INDEX` Meta page update last allocated index.
`META_PAGE_UPDATE_LAST_SUCCESSFUL_FULL_SNAPSHOT_ID` Meta page update last successful full snapshot id.
`META_PAGE_UPDATE_LAST_SUCCESSFUL_SNAPSHOT_ID` Meta page update last successful snapshot id.
`META_PAGE_UPDATE_NEXT_SNAPSHOT_ID` Meta page update next snapshot id.
`METASTORE_DATA_RECORD` Metastore data record.
`MVCC_DATA_PAGE_MARK_UPDATED_RECORD`
`MVCC_DATA_PAGE_NEW_TX_STATE_HINT_UPDATED_RECORD`
`MVCC_DATA_PAGE_TX_STATE_HINT_UPDATED_RECORD`
`MVCC_DATA_RECORD` Mvcc data record.
`MVCC_TX_RECORD` Mvcc Tx state change record.
`OUT_OF_ORDER_UPDATE` Atomic out-of-order update.
`PAGE_LIST_META_RESET_COUNT_RECORD` Page list meta reset count record.
`PAGE_RECORD`
`PAGES_LIST_ADD_PAGE`
`PAGES_LIST_INIT_NEW_PAGE`
`PAGES_LIST_REMOVE_PAGE`
`PAGES_LIST_SET_NEXT`
`PAGES_LIST_SET_PREVIOUS`
`PART_META_UPDATE_STATE` Partition meta update state.
`PARTITION_CLEARING_START_RECORD` Partition clearing start.
`PARTITION_DESTROY` Partition destroy.
`PARTITION_META_PAGE_DELTA_RECORD_V3` Partition meta page delta record includes encryption status data.
`PARTITION_META_PAGE_DELTA_RECORD_V4` IGNITE-11704 placeholder: Partition meta page delta record includes tombstones count.
`PARTITION_META_PAGE_UPDATE_COUNTERS`
`PARTITION_META_PAGE_UPDATE_COUNTERS_V2` Partition meta page containing update counter gaps.
`REENCRYPTION_START_RECORD` Logical record to restart reencryption with the latest encryption key.
`RESERVED` Reserved for future record.
`ROLLBACK_TX_RECORD` Rollback tx record.
`ROTATED_ID_PART_RECORD` Rotated id part record.
`SNAPSHOT` Snapshot record.
`SWITCH_SEGMENT_RECORD` Switch segment record.
`TRACKING_PAGE_DELTA`
`TRACKING_PAGE_REPAIR_DELTA` Record that indicates that "corrupted" flag should be removed from tracking page.
`TX_RECORD`

### Field Summary

Fields
`static int` `STOP_ITERATION_RECORD_TYPE` Fake record type, causes stop iterating and indicates segment EOF Note: regular record type is incremented by 1 and minimal value written to file is also 1 For `WALMode.FSYNC` this value is at least came from padding

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static WALRecord.RecordType` `fromIndex(int idx)`
`int` `index()`
`WALRecord.RecordPurpose` `purpose()`
`static WALRecord.RecordType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WALRecord.RecordType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TX_RECORD

    public static final WALRecord.RecordType TX_RECORD

#### PAGE_RECORD

    public static final WALRecord.RecordType PAGE_RECORD

#### DATA_RECORD

    @Deprecated
    public static final WALRecord.RecordType DATA_RECORD

Deprecated. Use `DATA_RECORD_V2` instead.

#### CHECKPOINT_RECORD

    public static final WALRecord.RecordType CHECKPOINT_RECORD

Checkpoint (begin) record

#### HEADER_RECORD

    public static final WALRecord.RecordType HEADER_RECORD

WAL segment header record.

#### INIT_NEW_PAGE_RECORD

    public static final WALRecord.RecordType INIT_NEW_PAGE_RECORD

#### DATA_PAGE_INSERT_RECORD

    public static final WALRecord.RecordType DATA_PAGE_INSERT_RECORD

#### DATA_PAGE_INSERT_FRAGMENT_RECORD

    public static final WALRecord.RecordType DATA_PAGE_INSERT_FRAGMENT_RECORD

#### DATA_PAGE_REMOVE_RECORD

    public static final WALRecord.RecordType DATA_PAGE_REMOVE_RECORD

#### DATA_PAGE_SET_FREE_LIST_PAGE

    public static final WALRecord.RecordType DATA_PAGE_SET_FREE_LIST_PAGE

#### BTREE_META_PAGE_INIT_ROOT

    public static final WALRecord.RecordType BTREE_META_PAGE_INIT_ROOT

#### BTREE_META_PAGE_ADD_ROOT

    public static final WALRecord.RecordType BTREE_META_PAGE_ADD_ROOT

#### BTREE_META_PAGE_CUT_ROOT

    public static final WALRecord.RecordType BTREE_META_PAGE_CUT_ROOT

#### BTREE_INIT_NEW_ROOT

    public static final WALRecord.RecordType BTREE_INIT_NEW_ROOT

#### BTREE_PAGE_RECYCLE

    public static final WALRecord.RecordType BTREE_PAGE_RECYCLE

#### BTREE_PAGE_INSERT

    public static final WALRecord.RecordType BTREE_PAGE_INSERT

#### BTREE_FIX_LEFTMOST_CHILD

    public static final WALRecord.RecordType BTREE_FIX_LEFTMOST_CHILD

#### BTREE_FIX_COUNT

    public static final WALRecord.RecordType BTREE_FIX_COUNT

#### BTREE_PAGE_REPLACE

    public static final WALRecord.RecordType BTREE_PAGE_REPLACE

#### BTREE_PAGE_REMOVE

    public static final WALRecord.RecordType BTREE_PAGE_REMOVE

#### BTREE_PAGE_INNER_REPLACE

    public static final WALRecord.RecordType BTREE_PAGE_INNER_REPLACE

#### BTREE_FIX_REMOVE_ID

    public static final WALRecord.RecordType BTREE_FIX_REMOVE_ID

#### BTREE_FORWARD_PAGE_SPLIT

    public static final WALRecord.RecordType BTREE_FORWARD_PAGE_SPLIT

#### BTREE_EXISTING_PAGE_SPLIT

    public static final WALRecord.RecordType BTREE_EXISTING_PAGE_SPLIT

#### BTREE_PAGE_MERGE

    public static final WALRecord.RecordType BTREE_PAGE_MERGE

#### PAGES_LIST_SET_NEXT

    public static final WALRecord.RecordType PAGES_LIST_SET_NEXT

#### PAGES_LIST_SET_PREVIOUS

    public static final WALRecord.RecordType PAGES_LIST_SET_PREVIOUS

#### PAGES_LIST_INIT_NEW_PAGE

    public static final WALRecord.RecordType PAGES_LIST_INIT_NEW_PAGE

#### PAGES_LIST_ADD_PAGE

    public static final WALRecord.RecordType PAGES_LIST_ADD_PAGE

#### PAGES_LIST_REMOVE_PAGE

    public static final WALRecord.RecordType PAGES_LIST_REMOVE_PAGE

#### META_PAGE_INIT

    public static final WALRecord.RecordType META_PAGE_INIT

#### PARTITION_META_PAGE_UPDATE_COUNTERS

    public static final WALRecord.RecordType PARTITION_META_PAGE_UPDATE_COUNTERS

#### MEMORY_RECOVERY

    public static final WALRecord.RecordType MEMORY_RECOVERY

Memory recovering start marker

#### TRACKING_PAGE_DELTA

    public static final WALRecord.RecordType TRACKING_PAGE_DELTA

#### META_PAGE_UPDATE_LAST_SUCCESSFUL_SNAPSHOT_ID

    public static final WALRecord.RecordType META_PAGE_UPDATE_LAST_SUCCESSFUL_SNAPSHOT_ID

Meta page update last successful snapshot id.

#### META_PAGE_UPDATE_LAST_SUCCESSFUL_FULL_SNAPSHOT_ID

    public static final WALRecord.RecordType META_PAGE_UPDATE_LAST_SUCCESSFUL_FULL_SNAPSHOT_ID

Meta page update last successful full snapshot id.

#### META_PAGE_UPDATE_NEXT_SNAPSHOT_ID

    public static final WALRecord.RecordType META_PAGE_UPDATE_NEXT_SNAPSHOT_ID

Meta page update next snapshot id.

#### META_PAGE_UPDATE_LAST_ALLOCATED_INDEX

    public static final WALRecord.RecordType META_PAGE_UPDATE_LAST_ALLOCATED_INDEX

Meta page update last allocated index.

#### PART_META_UPDATE_STATE

    public static final WALRecord.RecordType PART_META_UPDATE_STATE

Partition meta update state.

#### PAGE_LIST_META_RESET_COUNT_RECORD

    public static final WALRecord.RecordType PAGE_LIST_META_RESET_COUNT_RECORD

Page list meta reset count record.

#### SWITCH_SEGMENT_RECORD

    public static final WALRecord.RecordType SWITCH_SEGMENT_RECORD

Switch segment record. Marker record for indicate end of segment. If the next one record is written down exactly at the end of segment, SWITCH_SEGMENT_RECORD will not be written, if not then it means that we have more that one byte in the end,then we write SWITCH_SEGMENT_RECORD as marker end of segment. No need write CRC or WAL pointer for this record. It is byte marker record.

#### DATA_PAGE_UPDATE_RECORD

    public static final WALRecord.RecordType DATA_PAGE_UPDATE_RECORD

#### BTREE_META_PAGE_INIT_ROOT2

    public static final WALRecord.RecordType BTREE_META_PAGE_INIT_ROOT2

init

#### PARTITION_DESTROY

    public static final WALRecord.RecordType PARTITION_DESTROY

Partition destroy.

#### SNAPSHOT

    public static final WALRecord.RecordType SNAPSHOT

Snapshot record.

#### METASTORE_DATA_RECORD

    public static final WALRecord.RecordType METASTORE_DATA_RECORD

Metastore data record.

#### EXCHANGE

    public static final WALRecord.RecordType EXCHANGE

Exchange record.

#### RESERVED

    public static final WALRecord.RecordType RESERVED

Reserved for future record.

#### ROTATED_ID_PART_RECORD

    public static final WALRecord.RecordType ROTATED_ID_PART_RECORD

Rotated id part record.

#### MVCC_DATA_PAGE_MARK_UPDATED_RECORD

    public static final WALRecord.RecordType MVCC_DATA_PAGE_MARK_UPDATED_RECORD

#### MVCC_DATA_PAGE_TX_STATE_HINT_UPDATED_RECORD

    public static final WALRecord.RecordType MVCC_DATA_PAGE_TX_STATE_HINT_UPDATED_RECORD

#### MVCC_DATA_PAGE_NEW_TX_STATE_HINT_UPDATED_RECORD

    public static final WALRecord.RecordType MVCC_DATA_PAGE_NEW_TX_STATE_HINT_UPDATED_RECORD

#### ENCRYPTED_RECORD

    public static final WALRecord.RecordType ENCRYPTED_RECORD

Encrypted WAL-record.

#### ENCRYPTED_DATA_RECORD

    @Deprecated
    public static final WALRecord.RecordType ENCRYPTED_DATA_RECORD

Deprecated. Use `ENCRYPTED_DATA_RECORD_V3` instead.
Ecnrypted data record.

#### MVCC_DATA_RECORD

    public static final WALRecord.RecordType MVCC_DATA_RECORD

Mvcc data record.

#### MVCC_TX_RECORD

    public static final WALRecord.RecordType MVCC_TX_RECORD

Mvcc Tx state change record.

#### CONSISTENT_CUT

    public static final WALRecord.RecordType CONSISTENT_CUT

Consistent cut record.

#### ROLLBACK_TX_RECORD

    public static final WALRecord.RecordType ROLLBACK_TX_RECORD

Rollback tx record.

#### PARTITION_META_PAGE_UPDATE_COUNTERS_V2

    public static final WALRecord.RecordType PARTITION_META_PAGE_UPDATE_COUNTERS_V2

Partition meta page containing update counter gaps.

#### BTREE_META_PAGE_INIT_ROOT_V3

    public static final WALRecord.RecordType BTREE_META_PAGE_INIT_ROOT_V3

Init root meta page (with flags and created version)

#### MASTER_KEY_CHANGE_RECORD

    public static final WALRecord.RecordType MASTER_KEY_CHANGE_RECORD

Master key change record.

#### TRACKING_PAGE_REPAIR_DELTA

    public static final WALRecord.RecordType TRACKING_PAGE_REPAIR_DELTA

Record that indicates that "corrupted" flag should be removed from tracking page.

#### OUT_OF_ORDER_UPDATE

    public static final WALRecord.RecordType OUT_OF_ORDER_UPDATE

Atomic out-of-order update.

#### ENCRYPTED_RECORD_V2

    public static final WALRecord.RecordType ENCRYPTED_RECORD_V2

Encrypted WAL-record.

#### ENCRYPTED_DATA_RECORD_V2

    @Deprecated
    public static final WALRecord.RecordType ENCRYPTED_DATA_RECORD_V2

Deprecated. Use `ENCRYPTED_DATA_RECORD_V3` instead.
Ecnrypted data record.

#### MASTER_KEY_CHANGE_RECORD_V2

    public static final WALRecord.RecordType MASTER_KEY_CHANGE_RECORD_V2

Master key change record containing multiple keys for single cache group.

#### REENCRYPTION_START_RECORD

    public static final WALRecord.RecordType REENCRYPTION_START_RECORD

Logical record to restart reencryption with the latest encryption key.

#### PARTITION_META_PAGE_DELTA_RECORD_V3

    public static final WALRecord.RecordType PARTITION_META_PAGE_DELTA_RECORD_V3

Partition meta page delta record includes encryption status data.

#### INDEX_META_PAGE_DELTA_RECORD

    public static final WALRecord.RecordType INDEX_META_PAGE_DELTA_RECORD

Index meta page delta record includes encryption status data.

#### PARTITION_META_PAGE_DELTA_RECORD_V4

    public static final WALRecord.RecordType PARTITION_META_PAGE_DELTA_RECORD_V4

IGNITE-11704 placeholder: Partition meta page delta record includes tombstones count.

#### DATA_RECORD_V2

    public static final WALRecord.RecordType DATA_RECORD_V2

Data record V2.

#### ENCRYPTED_DATA_RECORD_V3

    public static final WALRecord.RecordType ENCRYPTED_DATA_RECORD_V3

Ecnrypted data record.

#### INDEX_ROOT_PAGE_RENAME_RECORD

    public static final WALRecord.RecordType INDEX_ROOT_PAGE_RENAME_RECORD

Record for renaming the index root pages.

#### PARTITION_CLEARING_START_RECORD

    public static final WALRecord.RecordType PARTITION_CLEARING_START_RECORD

Partition clearing start.

### Field Detail

#### STOP_ITERATION_RECORD_TYPE

    public static final int STOP_ITERATION_RECORD_TYPE

Fake record type, causes stop iterating and indicates segment EOF Note: regular record type is incremented by 1 and minimal value written to file is also 1 For `WALMode.FSYNC` this value is at least came from padding

See Also:
  Constant Field Values

### Method Detail

#### values

    public static WALRecord.RecordType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WALRecord.RecordType c : WALRecord.RecordType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WALRecord.RecordType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### index

    public int index()

Returns:
  Index for serialization.

#### purpose

    public WALRecord.RecordPurpose purpose()

Returns:
  Purpose of record.

#### fromIndex

    public static WALRecord.RecordType fromIndex(int idx)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022